:index-group: Unrevised
:jbake-date: 2018-12-05
:jbake-type: page
:jbake-status: published


tomee:deploy

Full name:

org.apache.openejb.maven:tomee-maven-plugin[:Current Version]:deploy

Description:

Simply deploy an application in a running TomEE

Attributes:

Requires a Maven project to be executed.

Requires dependency resolution of artifacts in scope: runtime.

Requires dependency collection of artifacts in scope: runtime.

Required Parameters

Name

Type

Since

Description

path

String

-

(no description)User property is: tomee-plugin.archive.

Optional Parameters

Name

Type

Since

Description

password

String

-

(no description)User property is: tomee-plugin.pwd.

realm

String

-

(no description)User property is: tomee-plugin.realm.

systemVariables

Map

-

(no description)

tomeeHost

String

-

(no description)Default value is: localhost.User property is:
tomee-plugin.host.

tomeeHttpPort

int

-

(no description)Default value is: 8080.User property is:
tomee-plugin.http.

useBinaries

boolean

-

(no description)Default value is: false.User property is:
tomee-plugin.binary.

user

String

-

(no description)User property is: tomee-plugin.user.

Parameter Details

password:

(no description)

Type: java.lang.String

Required: No

User Property: tomee-plugin.pwd

path:

(no description)

Type: java.lang.String

Required: Yes

User Property: tomee-plugin.archive

realm:

(no description)

Type: java.lang.String

Required: No

User Property: tomee-plugin.realm

systemVariables:

(no description)

Type: java.util.Map

Required: No

tomeeHost:

(no description)

Type: java.lang.String

Required: No

User Property: tomee-plugin.host

Default: localhost

tomeeHttpPort:

(no description)

Type: int

Required: No

User Property: tomee-plugin.http

Default: 8080

useBinaries:

(no description)

Type: boolean

Required: No

User Property: tomee-plugin.binary

Default: false

user:

(no description)

Type: java.lang.String

Required: No

User Property: tomee-plugin.user
